Subject: Re: bug#39145: 28.0.50; dired: Show broken/circular links in different font

From: Tino Calancha <[email-masked]>
Date: Tue, 25 Aug 2020 19:18:06 +0200

Tino Calancha <[email-masked]> writes:

> On Tue, 25 Aug 2020, Eli Zaretskii wrote:
>

>> Even if you have auto-revert-mode turned on in that Dired buffer?
> I have tried now with:
>
> dired-auto-revert-mode equals t
> dired-auto-rever-mode equals 'dired-directory-changed-p
>
> I still need to push `g' key to get the link face updated.

Sorry, I tried `dired-auto-revert-mode' not what you said.

You are right, w/ auto-revert-mode ON it matches my expectations: the
link face is updated after changes in the link target.

I am still wondering if the feature should update the face also when
auto-rever-mode is OFF.  I like the behavior that I observe with wdired:

If I change the link target with wdired, then the face is updated.
Nice.  Wish the same with other dired commands changing the link target.